> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accounts

## Field support per integration

<AccordionGroup>
  <Accordion title="bexio" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/bexio.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=1725cd998107a00ea8f7f9a83c250e29" width="24" height="24" data-path="logo/bexio.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="class" type="enum">
      Available options:
      `ASSET`, `EXPENSE`, `LIABILITY`, `REVENUE`, `COMPLETE`
    </ResponseField>

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>
  </Accordion>

  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="balance" type="number" />

    <ResponseField name="class" type="enum">
      Available options:\
      `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE`

      <Note>
        Business Central allows custom account classes. If custom values are used and no clear mapping to the provided enums exists, the field will return the original string value.
      </Note>
    </ResponseField>

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="DATEV Rechnungswesen" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=5589154dcfa064e1d967a067e488896a" width="24" height="24" data-path="logo/datev.svg">
    <Note>
      The query parameter `fiscalYearStartDate` is required and must be a valid date.
    </Note>

    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
    </Note>

    <Note>
      For DATEV-specific field explanations (account functions, etc.), [contact us](https://www.maesn.com/contact/).
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="fiscalYearStartDate" type="string" required>
      Return data for fiscal year starting with given date.<br />
      Example: `fiscalYearStartDate=2023-01-01`
    </ResponseField>

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="isActive" type="boolean">
          Filter by account active status.<br />
          Example: `isActive=true` to retrieve only the active (booked) accounts.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    <br />

    Supported response fields:

    <ResponseField name="description" type="string" />

    <ResponseField name="number" type="string" />
  </Accordion>

  <Accordion title="DATEV Unternehmen Online" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=5589154dcfa064e1d967a067e488896a" width="24" height="24" data-path="logo/datev.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    Supported response fields:

    <ResponseField name="name" type="string" />

    <ResponseField name="type" type="string">
      Available options:
      `CASH`,`ACCOUNTS_RECEIVABLE`,`ACCOUNTS_PAYABLE`
    </ResponseField>
  </Accordion>

  <Accordion title="Dinero" icon="https://mintcdn.com/maesn/kIVKlwzahCAaENRK/logo/dinero.svg?fit=max&auto=format&n=kIVKlwzahCAaENRK&q=85&s=5c26225da75d99a6f6e099c50483eaa3" width="200" height="200" data-path="logo/dinero.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    <br />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="type" type="string" />
  </Accordion>

  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>

        <ResponseField name="classFilter" type="enum">
          Filter by account class.<br />
          Available options: `AASET`, `LIABILITY`, `EXPENSE`, `REVENUE`, `EQUITY`
          Example: `classFilter=EXPENSE`
        </ResponseField>

        <ResponseField name="isActive" type="boolean">
          Filter by account active status.<br />
          Example: `isActive=true`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="class" type="string">
      Available options:
      `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE`
    </ResponseField>

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="description" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string">
      Available options:
      `CASH`, `BANK`, `CREDIT_CARD`, `PAYMENT_PROVIDER`, `ACCOUNTS_RECEIVABLE`, `PRE_PAYMENT`, `ACCOUNTS_PAYABLE`, `VAT`,
      `EMPLOYEES_PAYABLE`, `PREPAID_EXPENSES`, `ACCRUED_EXPENSES`, `INCOME_TAX_PAYABLE`, `FIXED_ASSET`, `NON_CURRENT_ASSET`,
      `DEPRECIATION`, `INVENTORY`, `EQUITY`, `RETAINED_EARNINGS`, `LONG_TERM_LIABILITY`, `CURRENT_LIABILITY`, `OTHER`, `TAX_PAYABLE`,
      `REVENUE`, `COST_OF_GOODS_SOLD`, `OTHER_EXPENSE`, `OVERHEADS`, `DEPRECIATION`, `RESEARCH_AND_DEVELOPMENT`, `EMPLOYEE_COSTS`, `EMPLOYMENT_COSTS`,
      `EXCEPTIONAL_COSTS`, `EXCEPTIONAL_INCOME`, `INCOME_TAXES`, `INTEREST_INCOME`, `YEAR_END_REFLECTION`, `INDIRECT_YEAR_END_COSTING`, `DIRECT_YEAR_END_COSTING`
    </ResponseField>

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="fortnox" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/fortnox.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=14025f10bb2d1afa587fa8447531a376" width="24" height="24" data-path="logo/fortnox.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="taxRate " type="taxRate">
      <Expandable title="properties">
        <ResponseField name="code" type="string" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    <Note>
      This endpoint retrieves only the posting categories from Lexware Office, which represent the `general ledger (GL) accounts`. No financial accounts are returned.
    </Note>

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="type" type="string" />
  </Accordion>

  <Accordion title="Moneybird" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=4cf7d956fec579e320389df5b2a6c828" width="24" height="24" data-path="logo/moneybird.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="type" type="string">
      Available options: `NON_CURRENT_ASSET`, `CURRENT_ASSET`,`NON_CURRENT_LIABILITY`, `CURRENT_LIABILITY`, `EQUITY`, `REVENUE`,
      `DIRECT_COSTS`, `EXPENSE`,`TEMPORARY`, `LIABILITY`,   `OTHER_INCOME`,`OTHER`
    </ResponseField>

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="Odoo" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/odoo.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=16b33ba45aee32fe594395bd226756d1" width="24" height="24" data-path="logo/odoo.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="balance" type="number" />

    <ResponseField name="class" type="string">
      Available options:
      `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE`
    </ResponseField>

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="parentAccountId" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string" />

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="Procountor" icon="https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?fit=max&auto=format&n=HTRn5skspTPqFN8X&q=85&s=2399887f31b698590774969aa7581f9a" width="720" height="410" data-path="logo/procountor.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>
  </Accordion>

  <Accordion title="QuickBooks" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/quickbooks.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=7733377805a0f59c4cdada5817544447" width="24" height="24" data-path="logo/quickbooks.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="balance" type="number" />

    <ResponseField name="class" type="string">
      Available options:
      `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE`
    </ResponseField>

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="parentAccountId" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string" />

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="Sage Accounting" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      This endpoint is available only for the following countries:
      Accounting Plus: Canada, United Kingdom, Ireland <br />
      Accounting Standard: United Kingdom, Ireland <br />
      Accounting Start: Canada, United Kingdom, Ireland
    </Note>

    <Note>
      When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the `GET Companies` call to retrieve all businesses available for the user. The user will then select one of these businesses.
      It is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="class" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="type" type="string" />

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="Sage Active" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string">
      Available options:
      `CUSTOMER`, `PROVIDER`, `BANK`, `CASH`, `CHARGE`, `REVENUE`,
      `CAPITAL`, `FIXED_ASSET`, `MANAGEMENT_RESULT`, `DEPRECIATION_PROVISION`, `STOCK`, `RESULT_BALANCE_SHEET`,
      `EMPLOYEE`, `TITLE`, `CURRENT_ASSETS`, `BORROWED_CAPITAL`, `COST`, `REDUCTION_IN_EXPENSES`,
      `NEUTRAL_REVENUE`, `NEUTRAL_EXPENSES`, `SALES_DEDUCTION`, `EXCHANGE_RATE_INCOME`, `EXCHANGE_RATE_EXPENSE`, `BALANCE_CARRIED_FORWARD`,
      `AGGREGATE_CARRIED_FORWARD`, `OTHER_BALANCE_SHEET_ACCOUNT`, `STATISTICAL_BALANCE`, `STATISTICAL_CONSUMPTION`, `CURRENT_ASSETS_INPUT_TAX`, `BORROWED_CAPITAL_OUTPUT_TAX`,
      `CUSTOMER_PREPAYMENT`, `SUPPLIER_PREPAYMENT`, `CUSTOMER_PREPAYMENT_TAX_INCLUDED`, `SUPPLIER_PREPAYMENT_TAX_INCLUDED`, `INPUT_TAX`, `OUTPUT_TAX`,
      `SUPPLIER_RETURNABLE_PACKAGING`, `CUSTOMER_RETURNABLE_PACKAGING`
    </ResponseField>

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />
  </Accordion>

  <Accordion title="Snelstart" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=a18e70fedba8b4166ced134d0ad1b8e3" width="24" height="24" data-path="logo/snelstart.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string" />

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="Twinfield" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/twinfield.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=aacf76ab75d30aabd615bc761d08f405" width="24" height="24" data-path="logo/twinfield.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="types" type="enum">
          Filter by account types.<br />
          Available options: `PNL`, `BAS`, `CRD`, `DEB`, `KPL`.
          You can filter for one or more types.
          Example: `types=PNL,BAS,CRD`
        </ResponseField>
      </Expandable>
    </ResponseField>

    Supported response fields:

    <Note>
      Note that only Profit and Loss (PNL) and Balance Sheet (BAS) accounts are returned by default. Please use the filter `types` if you require any of the other account types.
    </Note>

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="type" type="string" />

    <ResponseField name="updatedDate" type="string" />
  </Accordion>

  <Accordion title="Tripletex" icon="https://mintcdn.com/maesn/PAQw41f6NgOfTYHL/logo/tripletex.svg?fit=max&auto=format&n=PAQw41f6NgOfTYHL&q=85&s=d6386c1bc69580729a658d7c4f48fd45" width="26" height="38" data-path="logo/tripletex.svg">
    <Note>
      Use the [Interactive Authentication Flow](/authentication#interactive-authentication-flow)  to connect Tripletex. It works for both token types: with an accountant token, the user picks the client company from a list;
      with a regular single-company token, the user's own company is selected automatically and no list is shown. You can also set companyId directly if you already know the client company id (accountant tokens only).
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="class" type="enum">
      Available options:
      `ASSET`, `EQUITY`, `LIABILITY`, `REVENUE`, `EXPENSE`
    </ResponseField>

    <ResponseField name="currency" type="string" />

    <ResponseField name="debitCreditIndicator" type="enum">
      Available options: `DEBIT`, `CREDIT`
    </ResponseField>

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="taxRate" type="object">
      <Expandable title="properties">
        <ResponseField name="id" type="string" />

        <ResponseField name="code" type="string" />

        <ResponseField name="name" type="string" />

        <ResponseField name="percentage" type="number" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Visma e-conomic" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/vismaeconomic.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=4b629e8bc1bfd12c3bedaaaf9cc03ef3" width="20" height="24" data-path="logo/vismaeconomic.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="debitCreditIndicator" type="string">
      Supported values: `DEBIT`, `CREDIT`
    </ResponseField>

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />
  </Accordion>

  <Accordion title="Xero" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/xero.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=4496b21aab750469b3d5e96a1588d9f0" width="45" height="46" data-path="logo/xero.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="class" type="enum">
      Available options:\
      `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE`
    </ResponseField>

    <ResponseField name="code" type="string" />

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):\
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="description" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string">
      Available options:\
      `BANK`, `CURRENT_ASSET`, `CURRENT_LIABILITY`, `DEPRECIATION`, `DIRECT_COSTS`, `EQUITY`,
      `EXPENSE`, `FIXED_ASSET`, `INVENTORY`, `LIABILITY`, `NON_CURRENT_ASSET`, `OTHER_INCOME`,
      `OVERHEADS`, `PRE_PAYMENT`, `REVENUE`, `SALES`, `NON_CURRENT_LIABILITY`
    </ResponseField>

    <ResponseField name="updatedDate" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml GET /accounting/accounts
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/accounts:
    get:
      tags:
        - accounting
      operationId: getAccounts
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: fiscalYearStartDate
          required: false
          in: query
          schema:
            type: string
        - name: types
          required: false
          in: query
          schema:
            type: string
        - name: lastModifiedAt
          required: false
          in: query
          schema:
            type: number
        - name: isActive
          required: false
          in: query
          schema:
            type: boolean
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
            example: example value
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
            example: example value
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/AccountResponseDto'
                        example:
                          - id: '5570042'
                            balance: 100
                            class: ASSET
                            code: '91'
                            createdDate: '2025-05-01T00:00:00Z'
                            currency: EUR
                            debitCreditIndicator: DEBIT
                            description: Business Savings Account
                            name: Business Bank
                            number: '0150'
                            parentAccountId: '46'
                            status: ACTIVE
                            taxRate:
                              id: 15534na-38a6-4a6a-3353-1663553394350
                              code: '04'
                              name: TAX21
                              percentage: 21
                            type: BANK
                            updatedDate: '2021-06-01T00:00:00Z'
                          - id: '5942390'
                            balance: 5000
                            class: REVENUE
                            code: '92'
                            createdDate: '2021-05-01T00:00:00Z'
                            currency: EUR
                            debitCreditIndicator: CREDIT
                            description: Income from business activity
                            name: Revenue account
                            number: '1820'
                            parentAccountId: '47'
                            status: ACTIVE
                            taxRate:
                              id: 1895b05b-38a6-4a6a-9653-166389894350
                              code: '03'
                              name: TAX19
                              percentage: 19
                            type: REVENUE
                            updatedDate: '2021-06-01T00:00:00Z'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    AccountResponseDto:
      type: object
      properties:
        id:
          type: string
        balance:
          type: number
        class:
          type: string
          enum:
            - ASSET
            - EQUITY
            - EXPENSE
            - LIABILITY
            - REVENUE
        code:
          type: string
        createdDate:
          type: string
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
        debitCreditIndicator:
          type: string
          enum:
            - DEBIT
            - CREDIT
        description:
          type: string
        name:
          type: string
        number:
          type: string
        parentAccountId:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
        taxRate:
          $ref: '#/components/schemas/taxRateCommonDto'
        type:
          type: string
          enum:
            - ACCOUNTS_PAYABLE
            - ACCOUNTS_RECEIVABLE
            - BANK
            - CREDIT_CARD
            - CURRENT_ASSET
            - CURRENT_LIABILITY
            - DEPRECIATION
            - DIRECT_COSTS
            - COST_OF_GOODS_SOLD
            - EQUITY
            - EXPENSE
            - FIXED_ASSET
            - INVENTORY
            - LIABILITY
            - LONG_TERM_LIABILITY
            - NON_CURRENT_ASSET
            - NON_CURRENT_LIABILITY
            - OTHER_INCOME
            - OTHER_EXPENSE
            - OVERHEADS
            - PAYMENT_PROVIDER
            - PRE_PAYMENT
            - REVENUE
            - SALES
            - OTHER
        updatedDate:
          type: string
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    taxRateCommonDto:
      type: object
      properties:
        id:
          type: string
          example: 1895b05b-38a6-4a6a-9653-166389894350
        code:
          type: string
          example: '03'
        name:
          type: string
          example: Tax19
        percentage:
          type: number
          example: 19
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.